Main Page Widgets glibmm Namespaces Book

# mountoperation.h File Reference

## Namespaces

namespace | Gio
namespace | Glib

## Classes

class | Gio::MountOperation
| Authentication methods for mountable locations. More...

## Enumerations

enum | Gio::AskPasswordFlags { Gio::ASK_PASSWORD_NEED_PASSWORD = 1<<0, Gio::ASK_PASSWORD_NEED_USERNAME = 1<<1, Gio::ASK_PASSWORD_NEED_DOMAIN = 1<<2, Gio::ASK_PASSWORD_SAVING_SUPPORTED = 1<<3, Gio::ASK_PASSWORD_ANONYMOUS_SUPPORTED = 1<<4 }
enum | Gio::PasswordSave { Gio::PASSWORD_SAVE_NEVER, Gio::PASSWORD_SAVE_FOR_SESSION, Gio::PASSWORD_SAVE_PERMANENTLY }
enum | Gio::MountOperationResult { Gio::MOUNT_OPERATION_HANDLED, Gio::MOUNT_OPERATION_ABORTED, Gio::MOUNT_OPERATION_UNHANDLED }

## Functions

AskPasswordFlags | Gio::operator| (AskPasswordFlags lhs, AskPasswordFlags rhs)
AskPasswordFlags | Gio::operator& (AskPasswordFlags lhs, AskPasswordFlags rhs)
AskPasswordFlags | Gio::operator^ (AskPasswordFlags lhs, AskPasswordFlags rhs)
AskPasswordFlags | Gio::operator~ (AskPasswordFlags flags)
AskPasswordFlags& | Gio::operator|= (AskPasswordFlags& lhs, AskPasswordFlags rhs)
AskPasswordFlags& | Gio::operator&= (AskPasswordFlags& lhs, AskPasswordFlags rhs)
AskPasswordFlags& | Gio::operator^= (AskPasswordFlags& lhs, AskPasswordFlags rhs)